for DATASEED in 100 200 300 400
do
  CUDA_VISIBLE_DEVICES=0 python train.py --dataset imagenet --model wideresnet_50_2 \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --use_temp --temp_model const --min_temp 0.2 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/final/temp_model_const_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED"/checkpoint.pth.tar \
      --debug_mode --debug_dataset val --compute_prr \
      --name  imagenet/final/temp_model_const_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=1 python train.py --dataset imagenet --model wideresnet_50_2\
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --use_temp --temp_model const --min_temp 0.2 \
      --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
      --lr 1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/final/temp_model_const_eceloss_sgd_lr_1e-3_onecycle_5epochs/dataseed_"$DATASEED"/checkpoint.pth.tar \
      --debug_mode --debug_dataset val --compute_prr \
      --name  imagenet/final/temp_model_const_eceloss_sgd_lr_1e-3_onecycle_5epochs/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=2 python train.py --dataset imagenet --model wideresnet_50_2 \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/final/temp_model_nn_on_reps_[5]_2layer_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED"/checkpoint.pth.tar \
      --debug_mode --debug_dataset val --compute_prr \
      --name  imagenet/final/temp_model_nn_on_reps_[5]_2layer_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=3 python train.py --dataset imagenet --model wideresnet_50_2 \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --use_temp --temp_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 --min_temp 0.2 \
      --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/final/temp_model_nn_on_reps_[5]_2layer_eceloss_sgd_lr_3.1e-3_onecycle_5epochs/dataseed_"$DATASEED"/checkpoint.pth.tar \
      --debug_mode --debug_dataset val --compute_prr \
      --name  imagenet/final/temp_model_nn_on_reps_[5]_2layer_eceloss_sgd_lr_3.1e-3_onecycle_5epochs/dataseed_"$DATASEED" &

  # NRPT and +E
  CUDA_VISIBLE_DEVICES=4 python train.py --dataset imagenet --model wideresnet_50_2 \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 \
      --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/final/calib_model_nn_on_reps_[5]_2layer_slope_1.5_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED"/checkpoint.pth.tar \
      --debug_mode --debug_dataset val --compute_prr \
      --name  imagenet/final/calib_model_nn_on_reps_[5]_2layer_slope_1.5_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED" &

  CUDA_VISIBLE_DEVICES=5 python train.py --dataset imagenet --model wideresnet_50_2 \
      --loss cross_entropy \
      --model_seed 1 --data_seed "$DATASEED" \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 \
      --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/final/calib_model_nn_on_reps_[5]_2layer_eceloss_slope_1.5_sgd_lr_3.1e-3_onecycle_5epochs/dataseed_"$DATASEED"/checkpoint.pth.tar \
      --debug_mode --debug_dataset val --compute_prr \
      --name  imagenet/final/calib_model_nn_on_reps_[5]_2layer_eceloss_slope_1.5_sgd_lr_3.1e-3_onecycle_5epochs/dataseed_"$DATASEED"
done
