DATASEED=100
# Part III: NRPT, NLL loss
# Neg slope = 1.5
CUDA_VISIBLE_DEVICES=0 python train.py --dataset imagenet --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model wideresnet_50_2 --model_seed 1 --data_seed "$DATASEED" \
      --split_size=1181167 --batch-size=128 --val_batch_size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 5 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/WRN-50-2-modelseed-1-dataseed-100-split-1181167-100epochs/checkpoint.pth.tar \
      --resume_from_ddp --name  imagenet/final/calib_model_nn_on_reps_[5]_2layer_slope_1.5_nt_10_ti_0.5_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED" &

# Part IV: NRPT, ECE loss
# Neg slope = 1.5
CUDA_VISIBLE_DEVICES=1 python train.py --dataset imagenet --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model wideresnet_50_2 --model_seed 1 --data_seed "$DATASEED" \
      --split_size=1181167 --batch-size=128 --val_batch_size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 3.1e-3 --scheduler onecycle --epochs 5 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/WRN-50-2-modelseed-1-dataseed-100-split-1181167-100epochs/checkpoint.pth.tar \
      --resume_from_ddp --name  imagenet/final/calib_model_nn_on_reps_[5]_2layer_eceloss_slope_1.5_nt_10_ti_0.5_sgd_lr_3.1e-3_onecycle_5epochs/dataseed_"$DATASEED" &

DATASEED=200
# Part III: NRPT, NLL loss
# Neg slope = 1.5
CUDA_VISIBLE_DEVICES=2 python train.py --dataset imagenet --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model wideresnet_50_2 --model_seed 1 --data_seed "$DATASEED" \
      --split_size=1181167 --batch-size=128 --val_batch_size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 5 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/WRN-50-2-modelseed-1-dataseed-100-split-1181167-100epochs/checkpoint.pth.tar \
      --resume_from_ddp --name  imagenet/final/calib_model_nn_on_reps_[5]_2layer_slope_1.5_nt_10_ti_0.5_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED" &

# Part IV: NRPT, ECE loss
# Neg slope = 1.5
CUDA_VISIBLE_DEVICES=3 python train.py --dataset imagenet --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model wideresnet_50_2 --model_seed 1 --data_seed "$DATASEED" \
      --split_size=1181167 --batch-size=128 --val_batch_size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 3.1e-3 --scheduler onecycle --epochs 5 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/WRN-50-2-modelseed-1-dataseed-100-split-1181167-100epochs/checkpoint.pth.tar \
      --resume_from_ddp --name  imagenet/final/calib_model_nn_on_reps_[5]_2layer_eceloss_slope_1.5_nt_10_ti_0.5_sgd_lr_3.1e-3_onecycle_5epochs/dataseed_"$DATASEED" &

DATASEED=300
# Part III: NRPT, NLL loss
# Neg slope = 1.5
CUDA_VISIBLE_DEVICES=4 python train.py --dataset imagenet --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model wideresnet_50_2 --model_seed 1 --data_seed "$DATASEED" \
      --split_size=1181167 --batch-size=128 --val_batch_size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 5 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/WRN-50-2-modelseed-1-dataseed-100-split-1181167-100epochs/checkpoint.pth.tar \
      --resume_from_ddp --name  imagenet/final/calib_model_nn_on_reps_[5]_2layer_slope_1.5_nt_10_ti_0.5_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED" &

# Part IV: NRPT, ECE loss
# Neg slope = 1.5
CUDA_VISIBLE_DEVICES=5 python train.py --dataset imagenet --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model wideresnet_50_2 --model_seed 1 --data_seed "$DATASEED" \
      --split_size=1181167 --batch-size=128 --val_batch_size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 3.1e-3 --scheduler onecycle --epochs 5 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/WRN-50-2-modelseed-1-dataseed-100-split-1181167-100epochs/checkpoint.pth.tar \
      --resume_from_ddp --name  imagenet/final/calib_model_nn_on_reps_[5]_2layer_eceloss_slope_1.5_nt_10_ti_0.5_sgd_lr_3.1e-3_onecycle_5epochs/dataseed_"$DATASEED" &

DATASEED=400
# Part III: NRPT, NLL loss
# Neg slope = 1.5
CUDA_VISIBLE_DEVICES=6 python train.py --dataset imagenet --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model wideresnet_50_2 --model_seed 1 --data_seed "$DATASEED" \
      --split_size=1181167 --batch-size=128 --val_batch_size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 1e-2 --scheduler onecycle --epochs 5 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/WRN-50-2-modelseed-1-dataseed-100-split-1181167-100epochs/checkpoint.pth.tar \
      --resume_from_ddp --name  imagenet/final/calib_model_nn_on_reps_[5]_2layer_slope_1.5_nt_10_ti_0.5_sgd_lr_1e-2_onecycle_5epochs/dataseed_"$DATASEED" &

# Part IV: NRPT, ECE loss
# Neg slope = 1.5
CUDA_VISIBLE_DEVICES=7 python train.py --dataset imagenet --layers 40 --widen-factor 10 --tensorboard \
      --loss cross_entropy \
      --model wideresnet_50_2 --model_seed 1 --data_seed "$DATASEED" \
      --split_size=1181167 --batch-size=128 --val_batch_size=128 --use_split train_val \
      --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
      --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
      --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 --num_temps 10 \
      --lr 3.1e-3 --scheduler onecycle --epochs 5 --wd=0.0 --optimizer sgd \
      --resume ./runs/imagenet/WRN-50-2-modelseed-1-dataseed-100-split-1181167-100epochs/checkpoint.pth.tar \
      --resume_from_ddp --name  imagenet/final/calib_model_nn_on_reps_[5]_2layer_eceloss_slope_1.5_nt_10_ti_0.5_sgd_lr_3.1e-3_onecycle_5epochs/dataseed_"$DATASEED"