for DATASEED in 100 200 300 400
do
# Neg slope = 1.5
CUDA_VISIBLE_DEVICES=0 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed "$DATASEED" \
    --split_size=45000 --split_size_2=3000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
    --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
    --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 \
    --lr 1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/tune/calib_model_nn_on_reps_[5]_2layer_eceloss_slope_1.5_sgd_lr_1e-3_onecycle_50epochs/dataseed_"$DATASEED" &

CUDA_VISIBLE_DEVICES=1 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed "$DATASEED" \
    --split_size=45000 --split_size_2=3000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
    --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
    --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 \
    --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/tune/calib_model_nn_on_reps_[5]_2layer_eceloss_slope_1.5_sgd_lr_3.1e-3_onecycle_50epochs/dataseed_"$DATASEED" &

CUDA_VISIBLE_DEVICES=2 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed "$DATASEED" \
    --split_size=45000 --split_size_2=3000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
    --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
    --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 \
    --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/tune/calib_model_nn_on_reps_[5]_2layer_eceloss_slope_1.5_sgd_lr_1e-2_onecycle_50epochs/dataseed_"$DATASEED" &

CUDA_VISIBLE_DEVICES=3 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed "$DATASEED" \
    --split_size=45000 --split_size_2=3000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
    --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
    --neg_slope 1.5 --min_temp 0.2 --temp_init_increment 0.5 \
    --lr 3.1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/tune/calib_model_nn_on_reps_[5]_2layer_eceloss_slope_1.5_sgd_lr_3.1e-2_onecycle_50epochs/dataseed_"$DATASEED" &

# Neg slope = 2.0
CUDA_VISIBLE_DEVICES=4 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed "$DATASEED" \
    --split_size=45000 --split_size_2=3000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
    --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
    --neg_slope 2.0 --min_temp 0.2 --temp_init_increment 0.5 \
    --lr 1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/tune/calib_model_nn_on_reps_[5]_2layer_eceloss_slope_2.0_sgd_lr_1e-3_onecycle_50epochs/dataseed_"$DATASEED" &

CUDA_VISIBLE_DEVICES=5 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed "$DATASEED" \
    --split_size=45000 --split_size_2=3000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
    --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
    --neg_slope 2.0 --min_temp 0.2 --temp_init_increment 0.5 \
    --lr 3.1e-3 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/tune/calib_model_nn_on_reps_[5]_2layer_eceloss_slope_2.0_sgd_lr_3.1e-3_onecycle_50epochs/dataseed_"$DATASEED" &

CUDA_VISIBLE_DEVICES=6 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed "$DATASEED" \
    --split_size=45000 --split_size_2=3000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
    --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
    --neg_slope 2.0 --min_temp 0.2 --temp_init_increment 0.5 \
    --lr 1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/tune/calib_model_nn_on_reps_[5]_2layer_eceloss_slope_2.0_sgd_lr_1e-2_onecycle_50epochs/dataseed_"$DATASEED" &

CUDA_VISIBLE_DEVICES=7 python train.py --dataset cifar100 --layers 40 --widen-factor 10 --tensorboard \
    --loss cross_entropy \
    --model_seed 1 --data_seed "$DATASEED" \
    --split_size=45000 --split_size_2=3000 --batch-size=128 --use_split train_val \
    --use_calib --calib_model nn_on_reps --temp_model_depth 2 --temp_model_width 512 \
    --nll_weight 0.0 --ece_weight 10.0 --ece_num_partitions_train 5 \
    --neg_slope 2.0 --min_temp 0.2 --temp_init_increment 0.5 \
    --lr 3.1e-2 --scheduler onecycle --epochs 50 --wd=0.0 --optimizer sgd \
    --resume ./runs/cifar100/WRN-28-10-modelseed-1-dataseed-100-split-45000/checkpoint.pth.tar \
    --name  cifar100/tune/calib_model_nn_on_reps_[5]_2layer_eceloss_slope_2.0_sgd_lr_3.1e-2_onecycle_50epochs/dataseed_"$DATASEED"
done