export GLUE_DIR=/export/home/glue_data
export TASK_NAME=MNLI

python -m torch.distributed.launch --nproc_per_node 8 run_glue.py \
  --model_name_or_path bert-base-cased \
  --task_name $TASK_NAME \
  --do_train --do_eval \
  --data_dir $GLUE_DIR/$TASK_NAME \
  --max_seq_length 128 \
  --per_device_train_batch_size 8 \
  --learning_rate 2e-5 \
  --num_train_epochs 3.0 \
  --split_size 350000 \
  --seed 1 \
  --output_dir runs/bert-base/"$TASK_NAME"/seed_1_split \
  --overwrite_output_dir